:root {
    --nb-ecommerce-footer-22-top-footer-wrapper-bg: var(--nb-color-gray-200);
    --nb-ecommerce-footer-22-footer-links-margin-bottom: 12px;
    --nb-ecommerce-footer-22-middle-footer-wrapper-bg: var(--nb-color-gray-200);
    --nb-ecommerce-footer-22-bottom-footer-wrapper-bg: var(--nb-color-gray-200);
    --nb-ecommerce-footer-22-footer-links-hover-color: var(--nb-spec-color);
    --nb-ecommerce-footer-22-newsletter-btn-bg: var(--nb-spec-color);
    --nb-ecommerce-footer-22-disclaimer-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-copyright-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-copyright-link-color: var(--nb-spec-color);
    --nb-ecommerce-footer-22-form-link-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-form-link-color-hover: var(--nb-spec-color);
    --nb-ecommerce-footer-22-footer-links-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-top-row-border-color: var(--nb-border-color);
    --nb-ecommerce-footer-22-download-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-download-fs: var(--nb-font-size-18);
    --nb-ecommerce-footer-22-download-fw: var(--nb-font-weight-400);
    --nb-ecommerce-footer-22-social-color: var(--nb-text-color-primary);
    --nb-ecommerce-footer-22-social-fs: var(--nb-font-size-18);
    --nb-ecommerce-footer-22-social-fw: var(--nb-font-weight-400);
}

.nb-ecommerce-footer-22 {
    --nb-input-height: 40px;
    --nb-input2-height: 40px;
    background: var(--nb-ecommerce-footer-22-top-footer-wrapper-bg);
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper {
    background-color: var(--nb-ecommerce-footer-22-top-footer-wrapper-bg);
}

.nb-ecommerce-footer-22 .nb-top-row-helper > .row{
    display: flex;
    align-items: center;
}

.nb-ecommerce-footer-22 .nb-top-row-helper {
    padding-bottom: 30px;
    border-bottom: 1px solid var(--nb-ecommerce-footer-22-top-row-border-color);
}

.nb-ecommerce-footer-22 .nb-top-row-col-helper {
    display: flex;
    justify-content: end;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper > .nb-content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 48px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-link,
.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-title {
    color: var(--nb-ecommerce-footer-22-footer-links-color);
    font-size: 16px;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-title{
    font-size: 20px;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button {
    margin-bottom: var(--nb-ecommerce-footer-22-footer-links-margin-bottom);
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button:before {
    display: none;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 {
    display: flex;
    flex-direction: column;
    gap: 14px;
    padding: 0;
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 .nb-newsletter-title {
    --nb-footer-newsletter-1-title-color: var(--nb-text-color-primary);
    --nb-footer-newsletter-1-title-font-weight: var(--nb-font-weight-700);
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 .nb-form {
    --nb-footer-newsletter-1-checkbox-label-color: var(--nb-text-color-primary);
    --nb-footer-newsletter-1-input-label-color: var(--nb-text-color-primary);
}

.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input {
    min-width: 500px;
}

.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input,
.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input:focus,
.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input:hover,
.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input:active,
.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input:not(:placeholder-shown),
.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 .nb-checkbox-wrapper .nb-link {
    color: var(--nb-ecommerce-footer-22-form-link-color);
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 .nb-checkbox-wrapper .nb-link:hover {
    color: var(--nb-ecommerce-footer-22-form-link-color-hover);
}

.nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-newsletter-1 .nb-form .nb-form-check {
    justify-content: center;
}

.nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-btn {
    top: 0;
    right: 0;
    width: 100px;
    height: var(--nb-input-height);
    transform: translateY(0);
    border-top-left-radius: var(--nb-border-radius-0);
    border-bottom-left-radius: var(--nb-border-radius-0);
    background-color: var(--nb-ecommerce-footer-22-newsletter-btn-bg);
    border-color: var(--nb-spec-color);
}

.nb-ecommerce-footer-22 .nb-middle-footer-wrapper {
    background-color: var(--nb-ecommerce-footer-22-middle-footer-wrapper-bg);
}

.nb-ecommerce-footer-22 .nb-middle-footer-wrapper > * {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: start;
    justify-content: space-between;
}

.nb-ecommerce-footer-22 .nb-middle-footer-wrapper > * > * {
    width: calc((100% - 40px) / 3);
}

.nb-ecommerce-footer-22 .nb-footer-app-download {
    gap: 20px;
}

.nb-ecommerce-footer-22 .nb-footer-app-download .nb-footer-app-download-wrapper {
    gap: 12px;
}

.nb-ecommerce-footer-22 .nb-footer-app-download .nb-title {
    font-size: var(--nb-ecommerce-footer-22-download-fs);
    font-weight: var(--nb-ecommerce-footer-22-download-fw);
    color: var(--nb-ecommerce-footer-22-download-color);
}

.nb-ecommerce-footer-22 .nb-footer-app-download .nb-heading-with-subheading {
    margin-bottom: 0;
}

.nb-ecommerce-footer-22 .nb-footer-payment-cards {
    margin-bottom: 0;
}

.nb-ecommerce-footer-22 .nb-footer-payment-cards-2 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: calc((100% - 40px) / 4);
}

.nb-ecommerce-footer-22 .nb-footer-payment-cards-2 .nb-items-wrapper {
    gap: 8px;
    justify-content: start;
}

.nb-ecommerce-footer-22 .nb-footer-payment-cards-2 .nb-slider-description {
    --nb-footer-payment-cards-2-description-fs: var(--nb-font-size-18);
    margin-bottom: 0;
    text-align: start;
}

.nb-ecommerce-footer-22 .nb-middle-footer-wrapper .nb-footer-payment-cards-2 .nb-img {
    max-width: 40px;
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper {
    display: flex;
    flex-direction: row;
    gap: 10px;
    margin: 0;
    padding: 40px 0;
    background: var(--nb-ecommerce-footer-22-bottom-footer-wrapper-bg);
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper > * {
    display: flex;
    align-items: center;
    justify-content: start;
    gap: 20px;
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper > * > * {
    width: calc((100% - 40px) / 2);
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper .nb-footer-disclaimer {
    color: var(--nb-ecommerce-footer-22-disclaimer-color);
    text-align: start;
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper .nb-footer-copyright {
    margin: 0;
    padding: 0;
    border: unset;
    color: var(--nb-ecommerce-footer-22-copyright-color);
    text-align: start;
}

.nb-ecommerce-footer-22 .nb-bottom-footer-wrapper .nb-footer-copyright .nb-link {
    color: var(--nb-ecommerce-footer-22-copyright-link-color);
}

.nb-ecommerce-footer-22 .nb-footer-social-networks {
    display: flex;
    align-items: center;
    gap: 20px;
}

.nb-ecommerce-footer-22 .nb-footer-social-networks .nb-footer-social-networks-title {
    margin-bottom: 0;
    font-size: var(--nb-ecommerce-footer-22-social-fs);
    font-weight: var(--nb-ecommerce-footer-22-social-fw);
    color: var(--nb-ecommerce-footer-22-social-color);
}

.nb-ecommerce-footer-22 .nb-footer-social-networks .nb-footer-social-networks-wrapper .nb-link {
    color: var(--nb-color-black);
}

.nb-ecommerce-footer-22 .nb-footer-social-networks .nb-footer-social-networks-wrapper .nb-link:hover {
    color: var(--nb-ecommerce-footer-22-footer-links-hover-color);
    opacity: 0.5;
}

.nb-ecommerce-footer-22 .nb-footer-social-networks .nb-footer-social-networks-wrapper .nb-link > * {
    width: unset;
    height: unset;
    background-color: transparent;
}

.nb-ecommerce-footer-22 .nb-company-info-col {
    display: flex;
    justify-content: center;
}

.nb-ecommerce-footer-22 .nb-footer-payment-cards .nb-component.nb-picture.nb-img-wrapper .nb-img {
    height: 25px;
}

@media screen and (max-width: 991px) {
    .nb-ecommerce-footer-22 .nb-top-row-helper {
        padding-bottom: 20px;
    }

    .nb-ecommerce-footer-22 .nb-top-row-col-helper {
        justify-content: start;
    }

    .nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper {
        width: max-content;
    }

    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper,
    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper > *,
    .nb-ecommerce-footer-22 .nb-middle-footer-wrapper > * {
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
    }

    .nb-ecommerce-footer-22 .nb-middle-footer-wrapper > * > * {
        width: auto;
    }
}

@media screen and (max-width: 768px) {
    .nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper {
        width: 100%;
    }

    .nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-form-group:not(:last-child) {
        margin-bottom: 20px;
    }

    .nb-ecommerce-footer-22 .nb-top-row-col-helper {
        display: block;
    }
}

@media screen and (max-width: 576px) {
    :root {
        --nb-ecommerce-footer-22-download-fs: var(--nb-font-size-16);
        --nb-ecommerce-footer-22-social-fs: var(--nb-font-size-16);
    }

    .nb-ecommerce-footer-22 .nb-footer-app-download,
    .nb-ecommerce-footer-22 .nb-footer-payment-cards-2 {
        gap: 16px;
    }

    .nb-ecommerce-footer-22 .nb-footer-payment-cards-2 .nb-slider-description {
        --nb-footer-payment-cards-2-description-fs: var(--nb-font-size-16);
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper > .nb-content-wrapper {
        max-width: 100%;
        gap: 20px;
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .row .col {
        margin-top: 0;
    }

    .nb-ecommerce-footer-22 .nb-footer-mobile-collapse .nb-collapse-content {
        display: none;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button {
        position: relative;
        margin: 0;
        padding: 10px;
        border-bottom: var(--nb-border-width) var(--nb-border-style) var(--nb-border-color);
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button:before {
        position: absolute;
        right: 20px;
        display: block;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button.active:before {
        transform: rotate(180deg);
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-button.active {
        color: var(--nb-spec-color);
        border-bottom-color: transparent;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-collapse-content {
        padding: 20px;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-footer-mobile-collapse {
        border-bottom: var(--nb-border-width) var(--nb-border-style) transparent;
    }

    .nb-ecommerce-footer-22 .nb-top-footer-wrapper .nb-footer-links .nb-footer-mobile-collapse:has(.nb-collapse-button.active) {
        border-bottom-color: var(--nb-spec-color);
    }

    .nb-ecommerce-footer-22 .nb-footer-newsletter-1 .nb-submit-newsletter-wrapper .nb-input {
        min-width: unset;
    }

    .nb-ecommerce-footer-22 .nb-middle-footer-wrapper {
        padding: 20px 8px;
    }

    .nb-ecommerce-footer-22 .nb-middle-footer-wrapper > .nb-content-wrapper {
        display: flex;
        flex-direction: column;
        gap: 30px;
        padding: 0;
        align-items: unset;
    }

    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper {
        padding: 20px 0;
    }

    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper > *,
    .nb-ecommerce-footer-22 .nb-footer-payment-cards-2,
    .nb-ecommerce-footer-22 .nb-footer-app-download {
        align-items: center;
    }

    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper > * > * {
        width: 100%;
    }

    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper .nb-footer-disclaimer,
    .nb-ecommerce-footer-22 .nb-bottom-footer-wrapper .nb-footer-copyright {
        text-align: center;
    }

    .nb-ecommerce-footer-22 .nb-footer-social-networks {
        flex-direction: column;
    }
}
